OCF_HEARTBEAT_LINUXS(7)

NAME
ocf_heartbeat_LinuxSCSI - Enables and disables SCSI devices through the kernel SCSI hot-plug subsystem (deprecated)

SYNOPSIS

LinuxSCSI [start | stop | status | monitor | meta-data | validate-all]

DESCRIPTION

Deprecation warning: This agent makes use of Linux SCSI hot-plug functionality which has been superseded by SCSI reservations. It is deprecated and may be removed from a future release. See the scsi2reservation and sfex agents for alternatives. -- This is a resource agent for LinuxSCSI. It manages the availability of a SCSI device from the point of view of the linux kernel. It make Linux believe the device has gone away, and it can make it come back again.

SUPPORTED PARAMETERS

scsi
    The SCSI instance to be managed.

    (required, string, no default)

ignore_deprecation
    If set to true, suppresses the deprecation warning for this agent.

    (optional, boolean, default false)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 20s.

stop
    Stops the resource. Suggested minimum timeout: 20s.

methods
    Suggested minimum timeout: 5s.

status
    Performs a status check. Suggested minimum timeout: 20s. Suggested interval: 10s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 10s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a LinuxSCSI resource using the crm(8) shell:

    primitive p_LinuxSCSI ocf:heartbeat:LinuxSCSI \
      params \
        scsi=string \
      op monitor depth="0" timeout="20s" interval="10s"

EXAMPLE PCS

The following is an example configuration for a LinuxSCSI resource using pcs(8)

    pcs resource create p_LinuxSCSI ocf:heartbeat:LinuxSCSI \
      scsi=string \
      op monitor depth="0" timeout="20s" interval="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)